/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

import java.lang.reflect.Field;

/**
 * Default policy that returns true always
 *
 * @author: lastrix
 * Date: 8/12/11
 * Time: 6:39 PM
 */
public class DefaultPolicy implements Policy {

	@Override
	public Status isNeeded(final Object o) {
		return Status.YES;
	}

	@Override
	public Status isNeeded(final Object o, final Field field) {
		return Status.YES;
	}
}
