/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization.exception;

/**
 * @author: lastrix
 * Date: 8/13/11
 * Time: 12:37 PM
 */
public class LoadingFailedException extends Exception {

	public LoadingFailedException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public LoadingFailedException(final String message) {
		super(message);
	}

	public LoadingFailedException() {
	}

	public LoadingFailedException(final Throwable cause) {
		super(cause);
	}
}
