/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization.tool;

/**
 * Constant used by this project.
 *
 * @author: lastrix
 * Date: 8/13/11
 * Time: 4:52 PM
 */
public interface JSONSerializationConstants {
	public static final String ENUM_VALUE = "enumValue";

	public static final String OBJECT_LINK = "L:";

	public static final String ENCLOSING_ID = "enclosingId";

	public static final String ID = "id";

	public static final String ARRAY_COMPONENT = "arrayComponent";

	public static final String ARRAY_SIZE = "arraySize";

	public static final String ARRAY = "array";

	public static final String NULL_OBJECT = "(null)";

	public static final String MAP = "map";

	public static final String LIST = "list";

	public static final String FIELDS = "fields";

	public static final String TYPE_INFO = "typeInfo";

	public static final String DELIMITER = "\r\n";

	public static final String DATA_TAG = "json:";

	public static final String ENTRY_NAME = "zipData";

}
